/* Show or hide the options div */
jQuery.noConflict();

function showErrors() {
	if( jQuery('.parsley-errors-list').length > 0) {
		jQuery('.listFieldError').html("<span class='stonehenge-error'>" + CORE.showError + "</span>").show();
			jQuery('.postbox').not('#premium, #qrcode').removeClass('closed');
	}
}

(function($) {
$(document).ready(function(){
	$('#remove-me').delay(4000).fadeOut(350);

	$(".postbox h3").click(function(){
		$this = $(this);
		$target = $this.next();
		$(this).parent().toggleClass('closed');
	});

    $('.metabox_submit').click(function(e) {
        e.preventDefault();
        $('#publish').click();
    });

	if( $('.datepicker').length > 0 ) {
		$('.hasDatepicker').datepicker();
		$(document).on('focus', '.datepicker', function() {
			$(this).datepicker({
				changeMonth: true,
				changeYear: true,
				dateFormat: CORE.date_format_js,
				yearRange: CORE.year_range,
				minDate: 0,
			});
		});
	}

	$(document).on('focus', '.time-input', function() {
	   	if( $(".time-input").length > 0 ){
			em_setup_timepicker('body');
		}
	});


	$('.pickcolor').click(function(e) {
		colorPicker = jQuery(this).next('div');
		input = jQuery(this).prev('input');
		$.farbtastic($(colorPicker), function(a) { $(input).val(a).css('background', a); });
		colorPicker.show();
		e.preventDefault();
		$(document).mousedown( function() { $(colorPicker).hide(); });
	});

	$(".button-add").attr('title', CORE.add);
	$(".button-remove").attr('title', CORE.remove);
	$(".button-edit").attr('title', CORE.edit);

	$(document.body).on('click', '.button-remove', function() {
    	$(this).closest('tr').remove();
	});

});
})
(jQuery);

